BasicSplitPaneUI.BasicVerticalLayoutManager (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicSplitPaneUI.BasicVerticalLayoutManager class
Date: 2015-05-24

javax.swing.plaf.basic

## Class BasicSplitPaneUI.BasicVerticalLayoutManager

- java.lang.Object
- - javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager
  - - javax.swing.plaf.basic.BasicSplitPaneUI.BasicVerticalLayoutManager

- All Implemented Interfaces:
    LayoutManager, LayoutManager2
  Enclosing class:
    BasicSplitPaneUI

      public class BasicSplitPaneUI.BasicVerticalLayoutManager
      extends BasicSplitPaneUI.BasicHorizontalLayoutManager

  LayoutManager used for JSplitPanes with an orientation of VERTICAL_SPLIT.

- - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager

      `components, sizes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicVerticalLayoutManager()`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager

      `addLayoutComponent, addLayoutComponent, getAvailableSize, getInitialLocation, getLayoutAlignmentX, getLayoutAlignmentY, getPreferredSizeOfComponent, getSizeOfComponent, getSizes, invalidateLayout, layoutContainer, maximumLayoutSize, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent, resetSizeAt, resetToPreferredSizes, setComponentToSize, setSizes, updateComponents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicVerticalLayoutManager

          public BasicVerticalLayoutManager()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.